# Archinstall configuration for XO Servers

### User credentials encryption and decryption

#### To encrypt
```
gpg --output user_credentials.crypt --symmetric --cypher-algo AES256 users.json
```

#### To decrypt
```
gpg --output user_credentials.json --decrypt user_credentials.crypt
```

### Usage

1. Boot from Arch Linux iso
2. Run pre-install script
```
bash -c "$(curl -fsSL https://git.xoservice.nl/marcel/archlinux/raw/master/pre/run.sh)"
```
3. Follow any given steps

After the automated reboot a clean archlinux installation will be available.
Now login using the default root credentials and execute the following command:
```
bash -c "$(curl -fsSL https://git.xoservice.nl/marcel/archlinux/raw/master/post/run.sh)"
```
