#!/bin/bash

REPO=https://git.xoservice.nl/marcel/archlinux

curl -O $REPO/raw/master/pre/users.crypt
gpg --output users.json --decrypt users.crypt

if test -s ./users.json;
then
	archinstall --config $REPO/raw/master/pre/config.json --creds ./users.json --silent
	reboot
else
	echo "users.json not found in current directory or file is empty"
	exit 1
fi
